---
title: "Retained dashboard observations"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/get-dashboard/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# Retained dashboard observations

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET

/admin/dashboard

FetchcURL

```
const url = 'https://example.com/admin/dashboard?range=24h';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url 'https://example.com/admin/dashboard?range=24h'
```

## Parameters

### Query Parameters

**range**

string

default: 24h

Allowed values: 24h 7d

## Responses

### 200

OK

application/json

object

**activity\_since**

string format: date-time

**now**

required

string format: date-time

**online**

required

integer format: int64

**persistence\_error**

string

**points**

required

Array<object> | null

object

**characters**

required

integer format: int64

**deaths**

required

integer format: int64

**errors**

required

integer format: int64

**logins**

required

integer format: int64

**online**

required

integer | null format: int64

**peak**

required

integer | null format: int64

**player\_deaths**

required

integer format: int64

**samples**

required

integer format: int64

**time**

required

string format: date-time

**warnings**

required

integer format: int64

**recording**

required

boolean

**recording\_since**

string format: date-time

**release**

required

object

**commit**

required

string

**identity**

required

string

**observed\_at**

required

string format: date-time

**updated\_at**

string format: date-time

**version**

required

string

**started\_at**

required

string format: date-time

**uptime\_seconds**

required

integer format: int64

#### Example generated

```
{  "activity_since": "2026-04-15T12:00:00Z",  "now": "2026-04-15T12:00:00Z",  "online": 1,  "persistence_error": "example",  "points": [    {      "characters": 1,      "deaths": 1,      "errors": 1,      "logins": 1,      "online": 1,      "peak": 1,      "player_deaths": 1,      "samples": 1,      "time": "2026-04-15T12:00:00Z",      "warnings": 1    }  ],  "recording": true,  "recording_since": "2026-04-15T12:00:00Z",  "release": {    "commit": "example",    "identity": "example",    "observed_at": "2026-04-15T12:00:00Z",    "updated_at": "2026-04-15T12:00:00Z",    "version": "example"  },  "started_at": "2026-04-15T12:00:00Z",  "uptime_seconds": 1}
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
